%define version	1.3.7
%define release	1mdk

%define pkgname bonobomm
%define api_version 1.3
%define lib_major 8
%define libname %mklibname %pkgname %api_version

# (Abel) orbitcpp 1.3.7-1mdk won't work with gcc 3.3
%define req_orbitcpp_version 1.3.7-2mdk

Summary: 	A C++ interface of GNOME 2 bonobo library
Name: 		lib%{pkgname}%{api_version}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		System/Libraries
URL: 		http://gtkmm.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

# tar.gz downloadable at ftp://download.sourceforge.net/gtkmm/
Source: 	lib%{pkgname}-%{version}.tar.bz2
Patch0:		lib%{pkgname}-libtool-1.5.patch.bz2

BuildRequires:	libgtkmm2.0-devel
BuildRequires:	libbonobo2_x-devel
BuildRequires:	libORBit-2-cpp-devel >= %{req_orbitcpp_version}
Buildrequires:	doxygen

%description
The %{pkgname} library is a C++ interface of libbonobo library.
It is a subpackage of the gnomemm project.


%package -n %{libname}_%{lib_major}
Summary:	A C++ wrapper for libgnome
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}

%description -n %{libname}_%{lib_major}
The %{pkgname} library is a C++ interface of libbonobo library.
It is a subpackage of the gnomemm project.


%package -n %{libname}_%{lib_major}-devel
Summary:	Development files for libgnome C++ wrapper
Group: 		Development/GNOME and GTK+
Provides:	%{libname}-devel = %{version}-%{release}
Requires:	%{libname}_%{lib_major} = %{version}

%description -n %{libname}_%{lib_major}-devel
This package contains all necessary files, including libraries and headers,
that are needed to develop/compile applications which use %{pkgname},
the C++ interface to libbonobo.

%prep
%setup -q -n lib%{pkgname}-%{version}
pushd scripts
%patch0 -p1 -b .libtool15
popd

%build
# MDK does not have libtool 1.5 yet
%define __libtoolize /bin/true
%configure2_5x --enable-static
%make

%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}
%makeinstall_std

# remove zero length include file
[ -s %{buildroot}%{_includedir}/libbonobomm-2.0/bonobomm/servers/init.h ] || \
  rm -f %{buildroot}%{_includedir}/libbonobomm-2.0/bonobomm/servers/init.h

%post -n %{libname}_%{lib_major} -p /sbin/ldconfig
%postun -n %{libname}_%{lib_major} -p /sbin/ldconfig

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}


%files -n %{libname}_%{lib_major}
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*

%files -n %{libname}_%{lib_major}-devel
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib%{pkgname}-2.0
%{_libdir}/gtkmm-2.0/proc/m4/*.m4

###########################################################################
%changelog
* Tue Sep  2 2003 Abel Cheung <deaddog@deaddog.org> 1.3.7-1mdk
- First Mandrake spec
- Patch0: Fix libtool 1.5 to search for staging libraries first
